<div id="main">
  <mat-toolbar color="secondary">
    <div style="display: none;" fxShow="true" fxHide.gt-sm="true">
      <button mat-icon-button (click)="sidenav.toggle()">
        <mat-icon>menu</mat-icon>
      </button>
    </div>

    <a mat-button class="companyName" routerLink="/">
      <span>Travel comparator</span>
    </a>
    <span class="example-spacer"></span>
    <div fxShow="true" fxHide.lt-md="true">
      <button mat-button [matMenuTriggerFor]="busMenu">Bus</button>
      <mat-menu #busMenu="matMenu">
        <button mat-menu-item>Bus Douala - Yaoundé</button>
        <button mat-menu-item>Bus Yaoundé - Douala</button>
      </mat-menu>
      <button mat-button [matMenuTriggerFor]="trainMenu">Trains</button>
      <mat-menu #trainMenu="matMenu">
        <button mat-menu-item>Train Douala - Yaoundé</button>
        <button mat-menu-item>Train Yaoundé - Douala</button>
        <button mat-menu-item>Train Yaoundé - Ngaoundéré</button>
      </mat-menu>
      <button mat-button>Avions</button>
      <button mat-button [matMenuTriggerFor]="companyMenu">Companies de transport</button>
      <mat-menu #companyMenu="matMenu">
        <button mat-menu-item>Finex voyages</button>
        <button mat-menu-item>Touristique express</button>
        <button mat-menu-item>Camair-co</button>
        <button mat-menu-item>Camrail</button>
      </mat-menu>
      <span class="divider"> | </span>
      <button mat-button routerLink="/contact">Se connecter</button>
    </div>

  </mat-toolbar>
  <mat-sidenav-container fxFlexFill class="example-container">

    <mat-sidenav color="primary" #sidenav fxLayout="column" mode="over" opened="false" fxHide.gt-sm="true">
      <div fxLayout="column">
        <a mat-button routerLink="/about-us">Bus</a>
        <a mat-button routerLink="/prices">Trains</a>
        <a mat-button routerLink="/start-page">Avions</a>
        <a mat-button routerLink="/offer">Companies de transport</a>
        <a mat-button routerLink="/contact">Se connecter</a>
      </div>
    </mat-sidenav>
    <mat-sidenav-content fxFlexFill>
      <div class="bg-container"></div>
      <div class="search-container">
        <div class="title">
          <h2>Consulter les prochains départs en bus, train et avion pour d'autres villes du Cameroun.</h2>
        </div>
        <div class="search-form">
          <mat-radio-group aria-label="Select an option">
            <mat-radio-button value="1">Aller simple</mat-radio-button>
            <mat-radio-button style="margin-left: 10px;" value="2">Aller-retour</mat-radio-button>
          </mat-radio-group>

          <div style="margin-top: 20px;display: flex;gap: 10px;">
            <mat-form-field appearance="outline">
              <mat-label>Ville de départ</mat-label>
              <input matInput placeholder="Ville de départ">
              <mat-icon matSuffix>location_on</mat-icon>
            </mat-form-field>

            <button mat-stroked-button color="secondary">
              <mat-icon>compare_arrows</mat-icon>
            </button>

            <mat-form-field appearance="outline">
              <mat-label>Ville d'arrivée</mat-label>
              <input matInput placeholder="Ville d'arrivée">
              <mat-icon matSuffix>location_on</mat-icon>
            </mat-form-field>

            <mat-form-field appearance="outline">
              <mat-label>Choisissez une date de départ.</mat-label>
              <input matInput [matDatepicker]="picker">
              <mat-hint>MM/DD/YYYY</mat-hint>
              <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
              <mat-datepicker #picker></mat-datepicker>
            </mat-form-field>

            <button mat-flat-button color="accent">
              Rechercher
            </button>
          </div>
        </div>
      </div>
    </mat-sidenav-content>
  </mat-sidenav-container>
</div>